import { Box, Button, SvgIcon, useMediaQuery, useTheme } from "@mui/material";
import MenuIcon from "../../assets/icons/hamburger.svg?react";
import Wallet from "./Wallet"

const PREFIX = "TopBar";

const classes = {
    appBar: `${PREFIX}-appBar`,
    menuButton: `${PREFIX}-menuButton`,
    pageTitle: `${PREFIX}-pageTitle`,
};

function TopBar({ chainId, address, connect, handleDrawerToggle }) {
    const themeColor = useTheme();
    const desktop = useMediaQuery(themeColor.breakpoints.up(1048));
    return (
        <Box
            display="flex"
            flexDirection="row"
            justifyContent="flex-end"
            paddingTop="21px"
            marginRight={desktop ? "33px" : "0px"}
            >
            <Box display="flex" alignItems="center">
                <Box display="flex" alignItems="center">
                    <Wallet address={address} connect={connect} chainId={chainId} />
                </Box>
                {!desktop && (
                    <Button
                        id="hamburger"
                        aria-label="open drawer"
                        size="large"
                        variant="text"
                        color="secondary"
                        onClick={handleDrawerToggle}
                        className={classes.menuButton}
                    >
                        <SvgIcon component={MenuIcon} />
                    </Button>
                )}
            </Box>
        </Box>
    );
}

export default TopBar;
