import { Box, useTheme } from "@mui/material";
import Chip from "../../../components/Chip/Chip";
import { formatNumber } from "../../../helpers";
import { DecimalBigNumber } from "../../../helpers/DecimalBigNumber";

const BondSlippage = ({ slippage, textOnly }) => {
    const theme = useTheme();
    const isSlippageBig = parseFloat(slippage) > 15;

    return textOnly ? (
        <Box
            style={{
                color: isSlippageBig ? theme.colors.feedback.error : theme.colors.feedback.pnlGain,
            }}
            >
            {slippage}%
        </Box>
    ) : (
        <Chip
            label={`${slippage}%`}
            template={isSlippageBig ? "error" : "success"}
        />
    );
};

export default BondSlippage;
